/*C****************************************************************************
* $RCSfile: uart_lib.c,v $
*------------------------------------------------------------------------------
* Copyright (c) 2003 Atmel.
*------------------------------------------------------------------------------
* J:			$Name: demo-bldc-sensor-at90pwm3-4_7_0 $
* :			$Revision: 1.20.4.6 $
* FILE_CVSID:	$Id: uart_lib.c,v 1.20.4.6 2008/01/02 14:19:54 raubree Exp $
*------------------------------------------------------------------------------
* ړI:
* ̧قUARTʂčŏVT100[񋟂AƎI/Oxƌ݊łB
*******************************************************************************/

/*_____ ݸٰ ______________________________________________________________*/
#include "config.h"
#include "lib_mcu/uart/uart_lib.h"

/*_____ S ` ____________________________________________________________*/

/*_____ ` _________________________________________________________________*/

/*_____ ϸ __________________________________________________________________*/

bit uart_test_hit (void)
{
  return Uart_rx_ready();
}

bit uart_init (void)
{
#ifndef UART_U2
  Uart_set_baudrate(BAUDRATE);
  Uart_hw_init(UART_CONFIG);
#else
  Uart_set_baudrate(BAUDRATE/2);
  Uart_double_bdr();
  Uart_hw_init(UART_CONFIG);

#endif
  Uart_enable();
  return TRUE;
}

r_uart_ptchar uart_putchar (p_uart_ptchar ch)
{
  while(!Uart_tx_ready());
  Uart_set_tx_busy();			// Mɐ旧ďɑZ׸ނݒ
  Uart_send_byte(ch);
  return ch;
}

r_uart_gtchar uart_getchar (void)
{
  register char c;

  while(!Uart_rx_ready());
  c = Uart_get_byte();
  Uart_ack_rx_byte();
  return c;
}
