//*****************************************************************************
//! @file $RCSfile: gcc_compiler.h,v $
//!
//! Copyright (c) 2006 Atmel.
//!
//! ۸т̎gpATMEL̍ŏIgpҋ_񂪕KvłB
//! 쌠ʒmɂĂlicense.txţقǂłB
//!
//! @brief ̧ق͂ǂ̿ ̧قł邱Ƃۏ؂邽߂ATMELpײ
//!		   ؂̺߲ ܰނ()`܂BړIΏ޲AT90CANxxnɍ
//!		   ܂B
//!
//! ̧ق͎pDoxygenɂĉ͂邱Ƃł܂B
//! ̧قAVRStudio-412462/WinAVR-20060125ŊmFĂ܂B
//!
//! @version $Revision: 1.1 $ $Name: demo-bldc-sensor-at90pwm3-4_7_0 $
//!
//! @todo
//! @bug
//*****************************************************************************

#ifndef _GCC_COMPILER_H_
#define _GCC_COMPILER_H_

#ifndef __GNUC__
#error  Include error, the compiler must be: GCC.
#endif  // GNU Compiler

//_____ 錾 __________________________________________________________________

typedef unsigned char		Bool;

typedef unsigned char		U8 ;
typedef unsigned short		U16;
typedef unsigned long		U32;
typedef unsigned long long	U64;
typedef signed   char		S8 ;
typedef signed   short		S16;
typedef signed   long		S32;
typedef signed   long long	S64;

typedef float				Float16;

typedef union
{
  U16 h   ;		// ƂĂh
  U8  b[2];		// ޲ĂƂĂb
} Union16;

typedef union
{
  U32 w   ;		// ƂĂw
  U16 h[2];		// ƂĂh
  U8  b[4];		// ޲ĂƂĂb
} Union32;

typedef union
{
  U64 d   ;		// 2ƂĂd
  U32 w[2];		// ƂĂw
  U16 h[4];		// ƂĂh
  U8  b[8];		// ޲ĂƂĂb
} Union64;

/* stdio݊ */
typedef char	bit;
typedef int		p_uart_ptchar;
typedef int		r_uart_ptchar;
typedef int		r_uart_gtchar;

//_____ ϸ ___________________________________________________________________

//! ̗Lpϸ...
    // Max(a, b)			: abԂ̍ő܂B
    // Min(a, b)			: abԂ̍ŏ܂B
    // Align_up(val, n)		: (n)EŐl(val)(up)ۂ߂܂B
    // Align_down(val, n)	: (n)EŐl(val)(down)ۂ߂܂B
#define Max(a, b)				( (a)>(b) ? (a) : (b) )
#define Min(a, b)				( (a)<(b) ? (a) : (b) )
#define Align_up(val, n)		( ((val)+(n)-1) & ~((n)-1) )
#define Align_down(val, n)		(  (val)        & ~((n)-1) )

//! ޯĂ޲Ă̑
#define Low(data_w)				((U8)data_w)
#define High(data_w)			((U8)(data_w>>8))
#define Tst_bit_x(addrx,mask)	(*addrx & mask)
#define Set_bit_x(addrx,mask)	(*addrx = (*addrx |  mask))
#define Clr_bit_x(addrx,mask)	(*addrx = (*addrx & ~mask))

//_____ 萔 __________________________________________________________________

#define ENABLE		1
#define ENABLED		1
#define DISABLED	0
#define DISABLE		0
#define FALSE		(0==1)
#define TRUE		(1==1)
#define KO			0
#define OK			1
#define CLR			0
#define SET			1
#define OFF			0
#define ON			1

//! ʒuwq邽߂̊l
#define  NULL		((void *)0)

//_____ IAR݊ _____________________________________________________________

#define __disable_interrupt		{ __asm__ __volatile__ ("cli"   : :); }
#define __enable_interrupt		{ __asm__ __volatile__ ("sei"   : :); }
#define __no_operation			{ __asm__ __volatile__ ("nop"   : :); }
#define __watchdog_reset		{ __asm__ __volatile__ ("wdr"   : :); }
#define __clear_watchdog_timer	{ __asm__ __volatile__ ("wdr"   : :); }
#define __sleep()				{ __asm__ __volatile__ ("sleep" : :); }
#define __insert_opcode(op)		{ __asm__ __volatile__ (".word %0" : : "n"(op));}
#define __indirect_jump_to(ad)	{ __asm__ __volatile__ ("ijmp"     : : "z"(ad));}

//______________________________________________________________________________

#endif // _GCC_COMPILER_H_
