//!
//! @file $RCSfile: mc_test_procedure.c,v $
//!
//! Copyright (c) 2008 Atmel.
//!
//! @brief ֐
//!
//! @version $Revision: 1.7 $
//!

//_____ ݸٰ ________________________________________________________________
#include "config.h"
#include "mc_test_procedure.h"

#include "mc_drv.h"
#include "mc_interface.h"

#include "uart\uart_lib.h"

/**
* @brief	葱҂
* @pre		Ȃ
* @post		nb_cycleҋ@
*/
void wait(U16 nb_cycle)
{
  volatile U16 i;
  volatile U16 j;
  for(i=0;i<=nb_cycle;i++)
    for (j=0;j<=3;j++);
}

/**
* @brief	
* @pre		mc_drv.c߰Č`Ԑݒ
* @post		UARTƓd@̎
*/
void mc_manufacturing_test()
{
  U16 delay = 60000;

  Clear_EXT2();					// LED_AJn

  // UARTҋ@
  uart_putchar('a');
  wait(30000);

  if(uart_test_hit()!=0)		// UARTMLŁA
  {
	if(uart_getchar() == 'a')	// 'a'MŁA
	{
	  delay = 60000;			// L
	}
	else						// 'a'ȊOMŁA
	{
	  delay = 0;				// 
	}
  }
  else							// MȂŁA
  {
	delay = 0;					// 
  }

  // d@䎎
  while(Get_EXT1() == 1);		// ()ҋ@
  while(Get_EXT1() == 0);		// ()Jҋ@

  mci_set_motor_speed(50);
  mci_run();					// d@n

  // OKȂLEDON/OFFAȂLEDON
  while(1)
  {
	if(Get_EXT1() == 0)mci_stop();

	Clear_EXT2();
	wait(delay);
	wait(delay);
	Set_EXT2();
	wait(delay);
	wait(delay);
  }
}
